.akp-frame__promo {
    color: var(--color-gray-70);
    font-weight: 600;
    line-height: 1.5;
    padding: 0;
}

.akp-frame__promo.akp-btn--transparent {
    color: #fff;
}

.akp-frame__promo-code {
    position: relative;
    color: var(--color-red);
    font-size: 14px;
    font-weight: 700;
    padding: 0 20px 0 0;
    pointer-events: none;
}

.akp-frame__promo-text {
    text-decoration: dashed underline;
}

.akp-btn--red.akp-frame__promo,
.akp-btn--red .akp-frame__promo-code,
.akp-btn--lightred.akp-frame__promo,
.akp-btn--lightred .akp-frame__promo-code,
.akp-btn--green.akp-frame__promo,
.akp-btn--green .akp-frame__promo-code {
    color: #fff;
}

.akp-frame__promo-code:before {
    content: "Промокод:";
    font-size: 12px;
    font-weight: 500;
    margin: 0 7px 0 0;
}

.akp-btn--transparent .akp-frame__promo-code:before {
    color: var(--color-gray-70);
}

.akp-frame__promo-code::after {
    background: var(--ico-copy);
    content: "";
    height: 16px;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 16px;
}

.akp-btn--red .akp-frame__promo-code::after,
.akp-btn--lightred .akp-frame__promo-code::after,
.akp-btn--green .akp-frame__promo-code::after {
    filter: brightness(0) invert(1);
}

.akp-promo-modal .akp-modal-wrap {
    align-items: center;
    line-height: 1.5;
    max-width: 470px;
    text-align: center;
}

.akp-promo-modal-code {
    color: var(--color-red);
}

.promo-popup-box {
    display: flex;
    flex-direction: column;
    gap: 8px;
    text-align: left;
}

.promo-popup-item {
    display: flex;
    font-size: 16px;
    font-weight: 400;
    gap: 12px;
    line-height: 1.4;
}

.promo-popup-item:before {
    align-items: center;
    border: 1px solid var(--color-red);
    display: inline-flex;
    flex-shrink: 0;
    height: 26px;
    justify-content: center;
    width: 26px;
}

.promo-popup-item__1:before {
    content: "1";
}

.promo-popup-item__2:before {
    content: "2";
}

.promo-popup-item__3:before {
    content: "3";
}

.promo-popup-code {
    align-items: center;
    background: #fff;
    border: 1px dashed var(--color-red);
    color: var(--color-red);
    display: inline-flex;
    font-size: 14px;
    font-weight: bold;
    justify-content: center;
    margin: 0 2px;
    padding: 3px 8px;
}

.promo-popup-item img {
    vertical-align: top;
}
